Skip to main content
GET
/
v2
/
tasks
/
{id}
Retrieve a Task
curl --request GET \
  --url https://api.fructu.co/v2/tasks/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "record": "<string>",
  "title": "<string>",
  "due_at": "2023-11-07T05:31:56Z",
  "assigned_to": "<string>",
  "is_completed": true,
  "created_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Task's unique id

Response

200 - application/json
id
string
required

Unique identifier of the task

record
string
required

ID of the record this task is linked to

title
string
required

Title/description of the task

due_at
string<date-time>
required

Due date and time (ISO 8601)

assigned_to
string
required

ID of the user assigned to this task

is_completed
boolean
required

Whether the task has been completed.

created_at
string<date-time>
required

Creation date and time (ISO 8601)